accounts/urls.py
from . import views
from django.urls import path

app_name = 'accounts'

urlpatterns = [
    path('signup/', views.signup_view, name='signup'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),
]

albums/urls.py
from . import views

app_name = 'albums'

frontend/urls.py
from django.urls import path
from . import views
from .views import MyOrdersView, about
app_name = 'frontend'

urlpatterns = [
    path('', views.HomeView.as_view(), name='home'),
    path('product/<slug>/', views.ProductDetailView.as_view(),name='detail'),
    path('add-to-cart/<slug>/',views.add_to_cart,name='add-to-cart'),
    path('remove_single_item/<slug>/',views.remove_single_item,name='remove_single_item'),
    path('summary', views.OrderSummaryView.as_view(), name='summary'),
    path('shipping-address/', views.ShippingAddressView.as_view(), name='shipping-address'),
    path('change-address/', views.change_address, name='change-address'),
    path('add-coupon/', views.addCouponView.as_view(), name='add-coupon'),
    path('remove-coupon/', views.removeCouponView.as_view(), name='remove-coupon'),
    path('payment/', views.PaymentView.as_view(), name='payment'),
    path('my-orders/', MyOrdersView.as_view(), name='my-orders'),
    path('about/', about, name='about'),
]

mainapp/urls.py
from django.conf.urls.static import static
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.urls import path, include

from mainapp import settings

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('frontend.urls')),
    path('accounts/',include('accounts.urls')),
]

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

frontend/models.py
from django.db import models
from django.shortcuts import reverse
from django_countries.fields import CountryField
from django.contrib.auth.models import User

CATEGORY_CHOICES = {
    ('Z', 'Zacusca'),
    ('M', 'Muraturi'),
    ('P', 'Pateuri'),
    ('D', 'Dulceata'),
    ('T', 'Tocana')
}

class Item(models.Model):
    title = models.CharField(max_length=100)
    price = models.FloatField()
    discount_price = models.FloatField(blank=True, null=True)
    category = models.CharField(choices=CATEGORY_CHOICES, max_length=5)
    slug = models.SlugField()
    description = models.TextField()
    image = models.ImageField()

    def __str__(self):
        return self.title

    def get_item_url(self):
        return reverse('frontend:detail', kwargs={'slug': self.slug})

    def get_add_to_cart(self):
        return reverse('frontend:add-to-cart', kwargs={'slug': self.slug})

    def snip_description(self):
        return self.description[:30] + "..."

class OrderItem(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    ordered = models.BooleanField(default=False)
    item = models.ForeignKey(Item, on_delete=models.CASCADE)
    quantity = models.IntegerField(default=1)

    def __str__(self):
        return f"{self.quantity} x {self.item.title}"

    def total_item_price(self):
        return self.quantity * self.item.price

    def total_discount_item_price(self):
        return self.quantity * self.item.discount_price

    def amount_saved(self):
        return self.total_item_price() - self.total_discount_item_price()

    def final_price(self):
        if self.item.discount_price:
            return self.total_discount_item_price()
        return self.total_item_price()

class Order(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    order_ref = models.CharField(max_length=20)
    items = models.ManyToManyField(OrderItem)
    ordered_date = models.DateTimeField()
    ordered = models.BooleanField(default=False)
    billing_address = models.ForeignKey('BillingAddress', on_delete=models.SET_NULL, null=True, blank=True)
    coupon = models.ForeignKey('Coupon', on_delete=models.SET_NULL, null=True, blank=True)
    payment = models.ForeignKey('Payment', on_delete=models.SET_NULL, null=True, blank=True)
    delivered = models.BooleanField(default=False)
    received = models.BooleanField(default=False)
    refund_requested = models.BooleanField(default=False)
    refund_granted = models.BooleanField(default=False)

    def __str__(self):
        return self.user.username

    def total_price(self):
        total = 0
        for order_item in self.items.all():
            total += order_item.final_price()
        if self.coupon:
            total -= self.coupon.amount
        return total

class BillingAddress(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    street_address = models.CharField(max_length=100)
    apartment = models.CharField(max_length=100)
    city = models.CharField(max_length=100, default='')
    state = models.CharField(max_length=100, default='')
    country = CountryField(max_length=100)
    zip = models.CharField(max_length=100)
    email = models.EmailField(max_length=100, default='')
    phone_number = models.CharField(max_length=20, default='')

    def __str__(self):
        return self.user.username

class Coupon(models.Model):
    code = models.CharField(max_length=20)
    amount = models.FloatField()

    def __str__(self):
        return self.code

class Payment(models.Model):
    stripe_charge_id = models.CharField(max_length=100)
    user = models.ForeignKey(User, on_delete=models.SET_NULL, null=True, blank=True)
    amount = models.FloatField()
    timestamp = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.user.username

class Refund(models.Model):
    order = models.ForeignKey(OrderItem, on_delete=models.CASCADE)
    reason = models.CharField(max_length=100)
    accepted = models.BooleanField(default=False)

    def __str__(self):
        return f"{self.pk}"

templates/about.html
{% extends 'base.html' %}

{% load static %}

{% block title %}Despre{% endblock title %}

{% block content %}
<div class="container mt-5">
    <h1 class="text-center mb-4">Despre Bunatati Banatene</h1>
    <div class="p-4" style="background-color: #f8f9fa; border-radius: 5px; font-family: 'Arial', sans-serif;">
        <p class="lead text-justify" style="font-size: 1.2em; line-height: 1.6;">
            <span style="font-size: 1.5em;">“</span>
            Datorita faptului ca provin dintr-o familie de romani, oameni gospodari de generatii de-a randul in care munca,
            tradititia, credinta si bunastarea reprezinta modul nostru de viata consider ca este de datoria mea si a familiei
            sa ducem pe mai departe acest mod de viata. Familia noastra are radacini adanc infipte in istoria acestor meleaguri
            binecuvantate din Banat. De aceea am simtit nevoia si datoria in acelasi timp de a putea oferi si altora din
            produsele noastre "BUNATATI BANATENE". Traim intr-o epoca tot mai pregnanta a globalizarii, avem o populatie tot
            mai urbanizata, tot mai dezradacinata care i-si pierde tot mai mult traditia, identitatea, se indreapta spre o
            directie necunoscuta, straina. Este pacat sa nu pastram, sa nu salvam ce se mai poate din ceea ce ne reprezinta
            pe noi, din traditia noastra. De aceea am hotarat sa dezvoltam aceasta activitate de procesare a ciupercilor din
            diferite specii, legume si fructe produse de noi in mod traditional, dar si de la unii producatori din zona noastra
            pe care i-i cunoastem si stim cum produc. Asadar din cele mai bune materii prime produse cu deosebita grija facem
            dupa retete vechi banatene, manual la foc cu lemne lent, fara graba produse diverse, sanatoase si gustoase pe care
            dorim sa le oferim la cat mai multi consumatori, ca o alternativa la alimentatia nesanatoasa din vremurile noastre.
            <span style="font-size: 1.5em;">”</span>
        </p>
        <p class="text-right" style="font-size: 1.2em; line-height: 1.6;">
            Cu deosebita stima si consideratie,<br>
            Danut Beg
        </p>
    </div>

    <div class="row mt-5">
        <div class="col-md-6 mb-4">
            <img src="{% static 'imagini/67477288_2339782919437012_1863772015530344448_n.jpg' %}" class="img-fluid rounded" alt="Image 1">
        </div>
        <div class="col-md-6 mb-4">
            <img src="{% static 'imagini/334980590_2151218408412278_4504266585756054839_n.jpg' %}" class="img-fluid rounded" alt="Image 4">
        </div>
        <div class="col-md-6 mb-4">
            <img src="{% static 'imagini/71849518_1273759779478856_2299579057110515712_n.jpg' %}" class="img-fluid rounded" alt="Image 2">
        </div>
        <div class="col-md-6 mb-4">
            <img src="{% static 'imagini/72394802_1273766982811469_4804079044091969536_n.jpg' %}" class="img-fluid rounded" alt="Image 3">
        </div>
    </div>
</div>
{% endblock content %}

templates/base.html
{% load static %}
{% load cart_template_tag %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>{% block title %} {% endblock title%}</title>
    <!-- Bootstrap icons-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css" rel="stylesheet" />
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="{% static 'styles.css' %}" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

</head>
<body>
    <!-- Navigation-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container px-4 px-lg-5">
            <a class="navbar-brand" href="{%url 'frontend:home'%}">BUNATATI BANATENE</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0 ms-lg-4">
                    <li class="nav-item"><a class="nav-link active" aria-current="page" href="{%url 'frontend:home'%}">Acasa</a></li>
                    <li class="nav-item"><a class="nav-link" href="{%url 'frontend:about'%}">Despre</a></li>
<!--                    <li class="nav-item dropdown">-->
<!--                        <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Magazin</a>-->
<!--                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">-->
<!--                            <li><a class="dropdown-item" href="#!">Produse</a></li>-->
<!--                            <li><hr class="dropdown-divider" /></li>-->
<!--                            <li><a class="dropdown-item" href="#!">Produse Populare</a></li>-->
<!--                            <li><a class="dropdown-item" href="#!">Noutati</a></li>-->
<!--                        </ul>-->
<!--                    </li>-->
                </ul>

                {% if user.is_authenticated %}
                <ul class="navbar-nav mb-2 mb-lg-0 ms-lg-4">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">{{ user.get_username }}</a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="{% url 'frontend:my-orders' %}">Comenzile mele</a></li>
                            <li><hr class="dropdown-divider" /></li>
                            <li><a class="dropdown-item" href="{% url 'accounts:logout' %}">Sign out</a></li>
                        </ul>
                    </li>
                </ul>

                <form class="d-flex ms-lg-4">
                    <a href="{% url 'frontend:summary' %}" class="btn btn-outline-dark" type="submit">
                        <i class="bi-cart-fill me-1"></i>
                        Cos
                        <span class="badge bg-dark text-white ms-1 rounded-pill">{{ user|cart_count }}</span>
                    </a>
                </form>

                {% else %}
                 <li>
                     <a class="nav-item" href="{% url 'accounts:login' %}">Sign in</a>
                 </li>
                {% endif %}


            </div>
        </div>
    </nav>
<div class="mt-5 pt-3">
    {% if messages %}
        {% for message in messages %}
            <div class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
                {{ message }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Inchide"></button>
            </div>
        {% endfor %}
    {% endif %}
</div>

    <!-- Header-->
    <header style="padding: 20px 0; background-color: transparent;">
        <div class="container px-4 px-lg-5 my-5">
            <div class="text-center">
                <!-- Logo -->
                <div class="logo-container mb-3">
                    <img src="{% static 'imagini/logo.jpg' %}" alt="Logo" style="max-width: 100%; height: auto; margin: 0 auto;">
                </div>
            </div>
        </div>
    </header>
    <!-- Section-->
    {% block content%}
    {% endblock %}
    <!-- Footer-->
   <footer class="py-5 bg-dark">
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <h5 class="text-white">Contact</h5>
                <ul class="list-unstyled text-white">
                    <li>Telefon: 0728765265 | 0772073388  </li>
                    <li>Email: dn_beg@yahoo.com | daniel.beg@yahoo.com</li>
                    <li>Adresă: Scaius nr.99, Comuna Farliug, Caras-Severin, România</li>
                </ul>
            </div>
            <div class="col-md-4 text-center">
                <p class="m-0 text-white">Copyright &copy; Bunatati Banatene</p>
            </div>
            <div class="col-md-4 text-center">
                <h5 class="text-white">Urmărește-ne</h5>
                <a href="https://www.facebook.com/begscaius" target="_blank" class="text-white">
                    <i class="fab fa-facebook fa-2x"></i> Facebook
                </a>
            </div>
        </div>
    </div>
</footer>

    <!-- Bootstrap core JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>


{% block more_scripts %}
{% endblock more_scripts %}

</body>
</html>

templates/cart_snippet.html
<h4 class="d-flex justify-content-between align-items-center mb-3">
    <span class="text-muted">Cosul tau</span>
    <span class="badge bg-dark text-white ms-1 rounded-pill">{{ order.items.count }}</span>
</h4>
<!-- Cart -->
<ul class="list-group mb-3 z-depth-1">
    {% for order_item in order.items.all %}
        <li class="list-group-item d-flex justify-content-between lh-condensed">
            <div>
                <h6 class="my-0">{{ order_item.quantity }} x {{ order_item.item.title }}</h6>
                <small class="text-muted">{{ order_item.item.snip_description }}</small>
            </div>
            <span class="text-muted">{{ order_item.final_price }} Lei</span>
        </li>
    {% endfor %}
    {% if order.coupon %}
        <li class="list-group-item d-flex justify-content-between bg-light">
            <div class="text-success">
                <h6 class="my-0">Cod reducere</h6>
                <small>{{ order.coupon.code }}</small>
            </div>
            <span class="text-success">-{{ order.coupon.amount }} Lei</span>
        </li>
    {% endif %}
    <li class="list-group-item d-flex justify-content-between">
        <span>Total (Lei)</span>
        <strong>{{ order.total_price }} Lei</strong>
    </li>
</ul>

<!--cod promo-->
{% if display_coupon_form %}
    <form action="{% url 'frontend:add-coupon' %}" method="post" autocomplete="off" class="container">
        {% csrf_token %}
        <div class="input-group">
            {{ couponform.code }}
            <div class="input-group-addon">
                <button class="btn btn-secondary m-0">Revendica</button>
            </div>
        </div>
    </form>
{% endif %}

templates/detail.html
{% extends 'base.html' %}

{% block title %}  {{ object.title }} {% endblock title%}

{% block content%}
<section class="py-5">
            <div class="container px-4 px-lg-5 mt-5">
                <div class="row gx-md-5 justify-content-center">
                    <div class="col mb-4 mb-5">
<!--                        <div class="card shadow h-100">-->
                            <!-- Product image-->
                            <img class="card-img-top p-2" src="{{object.image.url}}" alt="..." style="max-height: 300px;width: auto" />
                    </div>
                    <div class="col-md-8 mb-5">
                        <h5 class="fw-bolder">{{ item.title }}</h5>
                                    <!-- Product price-->
                                    {%if item.discount_price%}
                                    <p><del class="mt-2 text-danger">{{item.price }} Lei</del> {{item.discount_price }} Lei</p>

                                    {% else %}

                                    <p>{{item.price }} Lei</p>


                                    {% endif %}
                                     <p class="btn btn-danger btn-sm">{{object.get_category_display}}</p>
                                    <p>{{ item.description }}</p>




                            <!-- Product actions-->
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a class="btn btn-outline-dark mt-auto me-4" href="{%url 'frontend:home'%}">Continua cumparaturile</a>
                                    <a class="btn btn-outline-dark mt-auto " href="{{ item.get_add_to_cart }}">Adauga in cos<i class="bi-cart-fill me-1"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        {%endblock%}

templates/home.html
{% extends 'base.html' %}

{% block title %} Acasa {% endblock title%}

{% block content%}
<section class="py-5">
            <div class="container px-4 px-lg-5 mt-5">
                <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
                   {% for item in object_list %}
                    <div class="col mb-5">
                        <div class="card shadow h-100">
                            <!-- Product image-->
                            <img class="card-img-top" src="{{item.image.url}}" alt="..." />
                            <!-- Product details-->
                            <div class="card-body p-4">
                                <div class="text-center">
                                    <!-- Product name-->
                                    <h5 class="fw-bolder">{{item.title }} </h5>
                                    <!-- Product price-->
                                    {%if item.discount_price%}
                                    <p><del class="mt-2 text-danger">{{item.price }} Lei</del> {{item.discount_price }} Lei</p>

                                    {% else %}

                                    <p>{{item.price }} Lei</p>


                                    {% endif %}
                                    <p class="btn btn-danger btn-sm">{{item.get_category_display}}</p>

                                </div>
                            </div>
                            <!-- Product actions-->
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a class="btn btn-outline-dark mt-auto" href="{{item.get_item_url}}">Detalii</a>
                                </div>
                            </div>
                        </div>
                    </div>
{%endfor%}
                </div>
            </div>



           {% if is_paginated %}
    <nav aria-label="Page navigation example">
        <ul class="pagination justify-content-center">
            {% if page_obj.has_previous %}
                <li class="page-item">
                    <a class="page-link" href="?page={{ page_obj.previous_page_number }}" aria-label="Inapoi">
                        <span aria-hidden="true">&laquo;</span>
                    </a>
                </li>
            {% endif %}
            <li class="mx-4 mt-2"> Pagina {{ page_obj.number }} din {{ page_obj.paginator.num_pages }}</li>
            {% if page_obj.has_next %}
                <li class="page-item">
                    <a class="page-link" href="?page={{ page_obj.next_page_number }}" aria-label="Urmatorul">
                        <span aria-hidden="true">&raquo;</span>
                    </a>
                </li>
            {% endif %}
        </ul>
    </nav>
{% endif %}

        </section>
        {%endblock%}

templates/login.html
{% extends 'base.html' %}

{% load static %}

{% block title %} Login {% endblock title%}



{% block content%}



<div class="container">
    <form method="post">
        {% csrf_token %}
        {{signin_form}}

        <button  class="btn btn-info">Sign In</button>
    </form>
    <p>Va rog apasati: <a href="{% url 'accounts:signup' %}">Sign up</a>  pentru a crea un cont de utilizator</p>
</div>




{%endblock%}

templates/my_orders.html
{% extends 'base.html' %}

{% block title %} Comenzile mele {% endblock %}

{% block content %}
<div class="container mt-5">
    <h2>Comenzile mele</h2>
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
            <tr>
                <th scope="col">Referință Comandă</th>
                <th scope="col">Data</th>
                <th scope="col">Status</th>
                <th scope="col">Total</th>
            </tr>
        </thead>
        <tbody>
            {% for order in orders %}
            <tr>
                <td>{{ order.order_ref }}</td>
                <td>{{ order.ordered_date|date:"F j, Y, g:i a" }}</td>
                <td>
                    {% if order.refund_granted %}
                        <span class="badge bg-info">Restituire Aprobată</span>
                    {% elif order.refund_requested %}
                        <span class="badge bg-warning text-dark">Restituire Solicitată</span>
                    {% elif order.delivered %}
                        <span class="badge bg-success">Expediata</span>
                    {% else %}
                        <span class="badge bg-secondary">În așteptare</span>
                    {% endif %}
                </td>
                <td>{{ order.total_price }} Lei</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}

templates/shipping-address.html
{% extends 'base.html' %}

{% block title %} Sumar {% endblock title %}

{% block content %}
<section class="py-5 container">
    <div class="row">
        <div class="col-md-8">
            <h4 class="mb-4">Adresa de livrare</h4>

            {% if order.billing_address %}
            <p>Deja ati adaugat adresa: <i><b>{{ order.billing_address.street_address }}</b></i>, doriti sa schimbati aceasta adresa?</p>
            <a href="{% url 'frontend:change-address' %}" class="btn btn-warning">Schimbati adresa</a>
            <a href="{% url 'frontend:payment' %}" class="btn btn-info">Finalizati comanda</a>
            {% else %}
           <form action="" method="post" autocomplete="off" class="container">
    {% csrf_token %}
    <div class="form-floating mb-3">
        {{ form.street_address }}
        <label for="floatingInput">Strada</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.apartment_address }}
        <label for="floatingApartment">Apartament</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.city }}
        <label for="floatingOras">Oras</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.state }}
        <label for="floatingJudet">Judet</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.country }}
        <div class="invalid-feedback">Please select a valid country</div>
        <label for="floatingSelect">Alegeti tara</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.zip_code }}
        <label for="floatingZip">Cod postal</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.email }}
        <label for="floatingEmail">Email</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.phone_number }}
        <label for="floatingPhoneNumber">Numar de telefon</label>
    </div>
    <button class="btn btn-primary btn-lg btn-block" type="submit">Finalizati comanda</button>
</form>

            {% endif %}
        </div><!-- md-8 -->

        <div class="col-md-4">
            <h4 class="d-flex justify-content-between align-items-center mb-3">
                <span class="text-muted">Cosul tau</span>
                <span class="badge bg-dark text-white ms-1 rounded-pill">{{ order.items.count }}</span>
            </h4>
            <ul class="list-group mb-3 z-depth-1">
                {% for order_item in order.items.all %}
                <li class="list-group-item d-flex justify-content-between th-condensed">
                    <div>
                        <h6 class="my-0">{{ order_item.quantity }} x {{ order_item.item.title}}</h6>
                        <small class="text-muted">{{ order_item.item.snip_description }}</small>
                    </div>
                    <span class="text-muted">{{ order_item.final_price }} Lei</span>
                </li>
                {% endfor %}
                {% if order.coupon %}
                <li class="list-group-item d-flex justify-content-between bg-light">
                    <div class="text-success">
                        <h6 class="my-0">Cupon reducere</h6>
                        <small>{{ order.coupon.code }}</small>
                    </div>
                    <span class="text-success">-{{ order.coupon.amount }}</span>
                    <form action="{% url 'frontend:remove-coupon' %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger btn-sm">Anuleaza</button>
                    </form>
                </li>
                {% endif %}
                <li class="list-group-item d-flex justify-content-between">
                    <span>Total (Lei)</span>
                    <strong>{{ order.total_price }} Lei</strong>
                </li>
            </ul>

            {% if display_coupon_form %}
            <form action="{% url 'frontend:add-coupon' %}" method="post" autocomplete="off">
                {% csrf_token %}
                <div class="input-group">
                    {{ couponform.code }}
                    <div class="input-group-append">
                        <button class="btn btn-secondary m-0" type="submit">Revendica</button>
                    </div>
                </div>
            </form>
            {% endif %}
        </div>
    </div><!-- container -->
</section>
{% endblock %}

templates/signup.html
{% extends 'base.html' %}

{% block title %} Sign Up {% endblock %}


{% block content %}


<div class="container mb-5 mt-5">
    <form method="post">
        {% csrf_token %}
        {{form}}
        <button type="submit" class="btn btn-info">Sign Up</button>
    </form>

</div>

{% endblock content %}

templates/summary.html
{% extends 'base.html' %}

{% block title %}  Sumar Comanda {% endblock title%}

{% block content%}
<section class="py-5">

            <div class="container table-responsive">
                    <h4>Sumar comanda</h4>

                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Produs</th>
                            <th scope="col">Pret</th>
                            <th scope="col">Cantitate</th>
                           <th scope="col">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for order_item in object.items.all  %}
                        <tr>
                            <th scope="row">{{forloop.counter}}</th>
                            <td>{{ order_item.item.title }}</td>

                            {% if order_item.item.discount_price %}
                            <td>{{ order_item.item.discount_price }} Lei</td>
                            {% else %}
                            <td>{{ order_item.item.price }} Lei</td>
                            {% endif %}


                             <td>

                                 <a href="{% url 'frontend:remove_single_item' order_item.item.slug %}"><i class="bi bi-dash-circle mr-2"></i></a>
                                 {{ order_item.quantity }}
                                 <a href="{% url 'frontend:add-to-cart' order_item.item.slug %}"><i class="bi bi-plus-circle  ml-2"></i></a>
                             </td>

                            {% if order_item.item.discount_price %}
                            <td>{{ order_item.total_discount_item_price }} Lei
<!--                            <span class="badge badge-danger ">Redus: {{ order_item.amount_saved|floatformat:2 }}</span>-->
                            </td>
                            {% else %}
                            <td>{{ order_item.total_item_price }} Lei</td>
                            {% endif %}
                        </tr>

                    {% endfor %}

                    {% if object.total_price %}

                     <tr>
                            <td colspan="4"><b>Total comanda</b></td>
                            <td><b>{{ object.total_price }}</b></td>
                        </tr>
                    {% endif %}

                     <tr>
                        <td colspan="4"><a href="{% url 'frontend:shipping-address' %}" class="btn btn-warning float-right">Finalizare comanda</a></td>
                        <td><a href="{% url 'frontend:home' %}" class="btn btn-info float-right mr-2">Continuati cumparaturile</a></td>
                    </tr>


                    </tbody>

                </table>

            </div>
        </section>
        {%endblock%}

templates/test.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>thisi is sohbak</title>
</head>
<body>
test kjabkjdsvkjadsfb
</body>
</html>